Skype no Debian Wheezy

1. Skype no Debian Wheezy

Jonas César Silva
jonascesar

(usa Debian)

Enviado em 13/07/2014 - 01:12h

Pessoal estou tentando instalar o skype no meu debian 64 bits seguindo essas instruções:

# dpkg --add-architecture i386

# apt-get update

# wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb

# dpkg -i skype-install.deb

# apt-get -f install

Mas depois que eu executo # apt-get -f install o terminal me retorna isso:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... falhou.
Os pacotes a seguir têm dependências desencontradas:
skype:i386 : Depende: libc6:i386 (>= 2.3.6-6~) mas não está instalado
Depende: libc6:i386 (>= 2.7) mas não está instalado
Depende: libgcc1:i386 (>= 1:4.1.1) mas não está instalado
Depende: libqt4-dbus:i386 (>= 4:4.5.3) mas não está instalado
Depende: libqt4-network:i386 (>= 4:4.8.0) mas não está instalado
Depende: libqt4-xml:i386 (>= 4:4.5.3) mas não está instalado
Depende: libqtcore4:i386 (>= 4:4.7.0~beta1) mas não está instalado
Depende: libqtgui4:i386 (>= 4:4.8.0) mas não está instalado
Depende: libqtwebkit4:i386 (>= 2.1.0~2011week13) mas não está instalado
Depende: libstdc++6:i386 (>= 4.2.1) mas não está instalado
Depende: libx11-6:i386 mas não está instalado
Depende: libxext6:i386 mas não está instalado
Depende: libxss1:i386 mas não está instalado
Depende: libxv1:i386 mas não está instalado
Depende: libssl1.0.0:i386 mas não está instalado
Depende: libpulse0:i386 mas não está instalado
Depende: libasound2-plugins:i386 mas não está instalado
E: Erro, pkgProblemResolver::Resolve gerou falhas, isto pode ser causado por pacotes mantidos (hold).
E: Impossível corrigir dependências

E dessa forma não consigo instalar o skype. Já tentei resolver mas sempre retorna isso. Alguém saberia como me ajudar? Obrigado!



  


2. Re: Skype no Debian Wheezy

André Romero Alves de Souza
arasouza

(usa Debian)

Enviado em 13/07/2014 - 08:51h

Cara como vc pode ver que as dependências que estão faltando são para i386, e sua distro e 64, portanto não instala vc pode tentar soluções como wine, da uma pesquisada pois pode resolver este problema.


3. Re: Skype no Debian Wheezy

Jonas César Silva
jonascesar

(usa Debian)

Enviado em 13/07/2014 - 09:28h

arasouza escreveu:

Cara como vc pode ver que as dependências que estão faltando são para i386, e sua distro e 64, portanto não instala vc pode tentar soluções como wine, da uma pesquisada pois pode resolver este problema.


Mas a questão é que muita gente que eu vi, tinha conseguido da forma que eu falei, mesmo com distro 64 bits, não entendo porque no meu não funciona


4. Re: Skype no Debian Wheezy

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 13/07/2014 - 10:07h

https://wiki.debian.org/skype#Debian_7_.22Wheezy.22


5. Re: Skype no Debian Wheezy

Jonas César Silva
jonascesar

(usa Debian)

Enviado em 13/07/2014 - 10:42h



Pois é cara, foi dessa forma que eu falei que tentei e não deu certo


6. Re: Skype no Debian Wheezy

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 13/07/2014 - 11:20h

jonascesar escreveu:



Pois é cara, foi dessa forma que eu falei que tentei e não deu certo


-vc viu a ultima parte lá embaixo ??

From Wheezy onwards, Debian supports Multi-Arch. The Skype packages for i386 works well with Multi-Arch.
First, you will have to enable Multi-Arch




7. Re: Skype no Debian Wheezy

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 13/07/2014 - 11:22h

Já viu esta dica?
http://www.vivaolinux.com.br/dica/Skype-42-no-Debian-64-bits


8. Re: Skype no Debian Wheezy

Jonas César Silva
jonascesar

(usa Debian)

Enviado em 13/07/2014 - 11:41h

clodoaldops escreveu:

Já viu esta dica?
http://www.vivaolinux.com.br/dica/Skype-42-no-Debian-64-bits


Já fiz isso, e sim, eu havia habilitado o Multiarch, dá o mesmo erro


9. Re: Skype no Debian Wheezy

10. Re: Skype no Debian Wheezy

Jonas César Silva
jonascesar

(usa Debian)

Enviado em 13/07/2014 - 11:53h



Também tinha visto esse link e tentei, mesmo erro


11. Essa deu certo

André Romero Alves de Souza
arasouza

(usa Debian)

Enviado em 13/07/2014 - 19:21h

Cara fiz o teste com esse e deu certo tenta ai:

su -
# dpkg --add-architecture i386
# apt-get update
# apt-get install ia32-libs
//ir até a pasta odne esta o pacote baixado de http://www.teamviewer.com/ e digitar:
# dpkg -i teamviewer_linux_x64.deb


12. Deu certo?

André Romero Alves de Souza
arasouza

(usa Debian)

Enviado em 15/07/2014 - 20:05h

Cara se deu certo avisa ai.... assim poderemos ajudar outras pessoas.



01 02